<?php
/**
 * This file aims to show you how to use this generated package.
 * In addition, the goal is to show which methods are available and the fist needed parameter(s)
 * You have to use an associative array such as:
 * - the key must be a constant beginning with WSDL_ from AbstractSoapClientbase class each generated ServiceType class extends this class
 * - the value must be the corresponding key value (each option matches a {@link http://www.php.net/manual/en/soapclient.soapclient.php} option)
 * $options = array(
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_URL => 'main.wsdl',
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_TRACE => true,
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_LOGIN => 'you_secret_login',
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_PASSWORD => 'you_secret_password',
 * );
 * etc....
 */
require_once __DIR__ . '/vendor/autoload.php';
/**
 * Minimal options
 */
$options = array(
    \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_URL => 'main.wsdl',
    \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_CLASSMAP => ClassMap::get(),
);
/**
 * Samples for Get ServiceType
 */
$get = new \ServiceType\Get($options);
/**
 * Sample call for GetSBInfoBySBBH operation/method
 */
if ($get->GetSBInfoBySBBH($GetSBInfoBySBBH) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetICPermit operation/method
 */
if ($get->GetICPermit($GetICPermit) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Samples for Clinic ServiceType
 */
$clinic = new \ServiceType\Clinic($options);
/**
 * Sample call for ClinicSBRegister operation/method
 */
if ($clinic->ClinicSBRegister($ClinicSBRegister) !== false) {
    print_r($clinic->getResult());
} else {
    print_r($clinic->getLastError());
}
/**
 * Sample call for ClinicGetSBRegInfo operation/method
 */
if ($clinic->ClinicGetSBRegInfo($ClinicGetSBRegInfo) !== false) {
    print_r($clinic->getResult());
} else {
    print_r($clinic->getLastError());
}
/**
 * Sample call for ClinicSBPayInfoSave operation/method
 */
if ($clinic->ClinicSBPayInfoSave($ClinicSBPayInfoSave) !== false) {
    print_r($clinic->getResult());
} else {
    print_r($clinic->getLastError());
}
/**
 * Samples for Cancel ServiceType
 */
$cancel = new \ServiceType\Cancel($options);
/**
 * Sample call for CancelClinicSBRegister operation/method
 */
if ($cancel->CancelClinicSBRegister($CancelClinicSBRegister) !== false) {
    print_r($cancel->getResult());
} else {
    print_r($cancel->getLastError());
}
/**
 * Sample call for CancelClinicGetSBRegInfo operation/method
 */
if ($cancel->CancelClinicGetSBRegInfo($CancelClinicGetSBRegInfo) !== false) {
    print_r($cancel->getResult());
} else {
    print_r($cancel->getLastError());
}
